aboutsummaryrefslogtreecommitdiffstats
path: root/systems
diff options
context:
space:
mode:
authorBilly O'Mahony <billy.o.mahony@intel.com>2015-11-23 15:26:28 +0000
committerMaryam Tahhan <maryam.tahhan@intel.com>2015-12-02 13:49:51 +0000
commit1c4d17533029cac0b3ec4770ab1d9c3817b646e7 (patch)
tree0ac2caffcfe81df5f362ea6db5d76e7194325ded /systems
parent5f98dededf101ce7ee3c11bd41d84ae61cce7feb (diff)
Add some error checking to F21 install
Make the install fail fast and obviously on error rather than continuing on. This can be used as a template for adding error checking on the other systems. JIRA: VSPERF-141 Change-Id: I1892db661a56ab2012e26c6720e0851fabbb51d9 Signed-off-by: Billy O'Mahony<billy.o.mahony@intel.com> Reviewed-by: Maryam Tahhan <maryam.tahhan@intel.com> Reviewed-by: Al Morton <acmorton@att.com>
Diffstat (limited to 'systems')
-rwxr-xr-xsystems/Fedora/21/build_base_machine.sh4
-rwxr-xr-xsystems/Fedora/21/prepare_python_env.sh8
-rwxr-xr-xsystems/build_base_machine.sh8
3 files changed, 11 insertions, 9 deletions
diff --git a/systems/Fedora/21/build_base_machine.sh b/systems/Fedora/21/build_base_machine.sh
index 036f6cc2..0aaa73b6 100755
--- a/systems/Fedora/21/build_base_machine.sh
+++ b/systems/Fedora/21/build_base_machine.sh
@@ -66,7 +66,7 @@ abrt-addon-python3
# install git-review tool
git-review
-" | grep -v ^#)
+" | grep -v ^#) || exit 1
# Create hugepage dirs
-mkdir -p /dev/hugepages \ No newline at end of file
+mkdir -p /dev/hugepages
diff --git a/systems/Fedora/21/prepare_python_env.sh b/systems/Fedora/21/prepare_python_env.sh
index 0c1465ca..f348c75d 100755
--- a/systems/Fedora/21/prepare_python_env.sh
+++ b/systems/Fedora/21/prepare_python_env.sh
@@ -23,7 +23,7 @@ fi
# enable virtual environment in a subshell, so QEMU build can use python 2.7
-(virtualenv-3.4 "$VSPERFENV_DIR"
-source "$VSPERFENV_DIR"/bin/activate
-pip install -r ../requirements.txt
-pip install pylint) \ No newline at end of file
+(virtualenv-3.4 "$VSPERFENV_DIR" || exit 1
+source "$VSPERFENV_DIR"/bin/activate || exit 1
+pip install -r ../requirements.txt || exit 1
+pip install pylint || exit 1)
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
index 84a8e36a..95f38765 100755
--- a/systems/build_base_machine.sh
+++ b/systems/build_base_machine.sh
@@ -54,13 +54,13 @@ fi
# build base system using OS specific scripts
if [ -d "$distro_dir" ] && [ -e "$distro_dir/build_base_machine.sh" ]; then
- $SUDO $distro_dir/build_base_machine.sh
+ $SUDO $distro_dir/build_base_machine.sh || die "$distro_dir/build_base_machine.sh failed"
else
die "$distro_dir is not yet supported"
fi
if [ -d "$distro_dir" ] && [ -e "$distro_dir/prepare_python_env.sh" ] ; then
- $distro_dir/prepare_python_env.sh
+ $distro_dir/prepare_python_env.sh || die "prepare_python_env.sh failed"
else
die "$distro_dir is not yet supported"
fi
@@ -72,6 +72,8 @@ fi
# download and compile DPDK, OVS and QEMU
if [ -f ../src/Makefile ] ; then
cd ../src
- make
+ make || die "Make failed"
cd -
+else
+ die "Make failed; No Makefile"
fi